PUT /api/v1/envelopes/extend-invitations — Extend Envelope Invitations
Extend the expiry dates of all pending invitations within a specific envelope. This is useful when you need to give all signers more time.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
- Content-Type (required)
- application/json
Request Body
Content-Type: application/json
- envelopeId (GUID, optional)
- The unique identifier of the envelope.
- availableTo (string, optional)
- New expiry date/time for invitations (ISO 8601 format).
{
"envelopeId": "9af7cb57-436f-40e9-b05c-75d05732db1c",
"availableTo": "2025-12-29T12:00:00Z"
}Responses
HTTP 200 — Envelope invitations extended
{
"data": true,
"errorCode": 0,
"message": null,
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}HTTP 200 — AvailableTo is in the past
{
"data": false,
"errorCode": 16,
"message": "AvailableTo is in the past",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}